Subject: bug#12460: 24.2.50; toggling read-only interactively: echo new state

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Sep 2012 13:32:20 -0400

> And since you've now made `toggle-read-only' obsolete (though it is
> still invoked by `C-x C-q' - see bug #12462), please make
> `read-only-mode' echo the new state as well.  It too should provide
> a Boolean arg or equivalent to control the display of the new-state
> message from Lisp.

All minor modes follow the same rule and use `called-interactively-p'
rather than an extra argument.  So if we want to change it it's in
easy-mmode.el and will apply to all minor modes.

        Stefan